## visad.data.hdfeos
Class CalibrationDefault

    java.lang.Object
      visad.data.hdfeos.Calibration
          visad.data.hdfeos.CalibrationDefault

class CalibrationDefault
extends Calibration

Field Summary
`(package private) double` `fillvalue`
`(package private) double` `offset`
`(package private) double` `scale_factor`
`(package private) double` `v_range_high`
`(package private) double` `v_range_low`

Constructor Summary
`(package private)` `CalibrationDefault(double[][] constants)`

Method Summary
`void` `fromCalibration(byte[] values, float[] out)`
`void` `fromCalibration(short[] values, double[] out)`
`void` `fromCalibration(short[] values, float[] out)`
`static String[]` `getNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scale_factor

    double scale_factor

### offset

    double offset

### fillvalue

    double fillvalue

### v_range_low

    double v_range_low

### v_range_high

    double v_range_high

Constructor Detail

### CalibrationDefault

    CalibrationDefault(double[][] constants)

Method Detail

### getNames

    public static String[] getNames()

### fromCalibration

    public void fromCalibration(short[] values,
                                double[] out)

  Specified by:
    `fromCalibration` in class `Calibration`

### fromCalibration

    public void fromCalibration(short[] values,
                                float[] out)

  Specified by:
    `fromCalibration` in class `Calibration`

### fromCalibration

    public void fromCalibration(byte[] values,
                                float[] out)

  Specified by:
    `fromCalibration` in class `Calibration`